CVE-2012-5468
SUSE Linux Enterprise Desktop 11 SP2
CVE-2012-5468, security advisory, novell, suse linux, suse, security, cve

CVE-2012-5468

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2012-5468 at MITRE

Description

Heap-based buffer overflow in iconvert.c in the bogolexer component in Bogofilter before 1.2.3 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via an email containing a base64 string that is decoded to incomplete multibyte characters.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 792939 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • bogofilter >= 1.1.1-174.27.1
Patchnames:
sledsp2-bogofilter
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Workstation Extension 12
SUSE Linux Enterprise Workstation Extension 12 SP1
SUSE Linux Enterprise Workstation Extension 12 SP2
SUSE Linux Enterprise Workstation Extension 12 SP3
SUSE Linux Enterprise Workstation Extension 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP5
SUSE Linux Enterprise Workstation Extension 15
SUSE Linux Enterprise Workstation Extension 15 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • bogofilter >= 1.1.1-174.27.1
sled11-sp2.x86
sled11-sp2.x86-64
SAT Patch Nr: 7135
openSUSE Leap 42.1
  • bogofilter-common >= 1.2.4-5.1
  • bogofilter-db >= 1.2.4-5.1
Patchnames:
openSUSE Leap 42.1 GA bogofilter-common
openSUSE Leap 42.2
  • bogofilter-common >= 1.2.4-6.4
  • bogofilter-db >= 1.2.4-6.4
Patchnames:
openSUSE Leap 42.2 GA bogofilter-common
openSUSE Leap 42.3
  • bogofilter-common >= 1.2.4-8.1
  • bogofilter-db >= 1.2.4-8.1
Patchnames:
openSUSE Leap 42.3 GA bogofilter-common
openSUSE Tumbleweed
  • bogofilter-common >= 1.2.4-9.6
  • bogofilter-db >= 1.2.4-9.6
  • bogofilter-doc >= 1.2.4-9.6
  • bogofilter-kyotocabinet >= 1.2.4-9.6
  • bogofilter-sqlite3 >= 1.2.4-9.6
Patchnames:
openSUSE Tumbleweed GA bogofilter-common


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 bogofilter Released